unit untChessCount;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmChessCount = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Procedure DrawChessCount;
  end;

var
  frmChessCount: TfrmChessCount;
  CC:TBitmap;

implementation

{$R *.dfm}

uses untBWC;

Procedure TfrmChessCount.DrawChessCount;
var Col,Row:Integer;
    CCI:Integer;
Begin
  CC.Canvas.Brush.Color:=rgb(0,220,0);
  CC.Canvas.FillRect(CC.Canvas.ClipRect);
  For CCI:=1 To ChessCounts-1 Do
  Begin
    CC.Canvas.Pen.Color:=rgb(0,0,0);
    CC.Canvas.MoveTo((CCI-1)*5,CC.Height-(ChessCount[CCI-1].Black*5));
    CC.Canvas.LineTo(CCI*5,CC.Height-(ChessCount[CCI].Black*5));
    CC.Canvas.Pen.Color:=rgb(255,255,255);
    CC.Canvas.MoveTo((CCI-1)*5,CC.Height-(ChessCount[CCI-1].White*5));
    CC.Canvas.LineTo(CCI*5,CC.Height-(ChessCount[CCI].White*5));
    CC.Canvas.Pen.Color:=rgb(255,0,0);
    CC.Canvas.MoveTo((CCI-1)*5,CC.Height div 2-(ChessCount[CCI-1].White*5-ChessCount[CCI-1].Black*5) div 2);
    CC.Canvas.LineTo(CCI*5,CC.Height div 2-(ChessCount[CCI].White*5-ChessCount[CCI].Black*5) div 2);
  End;
  CC.Canvas.Pen.Color:=rgb(0,0,255);
  CC.Canvas.Brush.Style:=bsClear;
  For Col:=0 To 15 Do
    For Row:=0 To 15 Do
      CC.Canvas.Rectangle(Col*20,Row*20,Col*20+21,Row*20+21);
End;

procedure TfrmChessCount.FormCreate(Sender: TObject);
begin
  frmChessCount.Left:=(Screen.Width-frmChessCount.Width) div 2;
  frmChessCount.Top:=(Screen.Height-frmChessCount.Height) div 2;
  CC:=TBitmap.Create;
  CC.Width:=321;
  CC.Height:=321;
end;

procedure TfrmChessCount.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TfrmChessCount.FormShow(Sender: TObject);
begin
  DrawChessCount;
end;

procedure TfrmChessCount.FormPaint(Sender: TObject);
begin
  frmChessCount.Canvas.Draw(5,5,CC);
end;

end.
